Package nl.tue.id.oocsi.client.services

# Class Service.ServiceMethod

java.lang.Object
nl.tue.id.oocsi.client.services.Service.ServiceMethod

Enclosing class:
  Service

    public static class Service.ServiceMethod
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `java.lang.String` | `handle` |
  `java.util.List<Service.ServiceField<?>>` | `input` |
  `java.lang.String` | `name` |
  `java.util.List<Service.ServiceField<?>>` | `output` |
  `java.lang.String` | `serviceName` |
  `java.lang.String` | `uuid` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `OOCSICall` | `buildCall​(OOCSIClient oocsi, int timeoutMS, int maxResponses)` | build a call to a responder on OOCSI for this method
  `java.lang.String` | `getName()` | get method name respective the service
  `void` | `registerResponder​(OOCSIClient oocsi, Responder responder)` | register a responder for this method

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### serviceName

    public java.lang.String serviceName

  - ### name

    public java.lang.String name

  - ### handle

    public java.lang.String handle

  - ### uuid

    public java.lang.String uuid

  - ### input

    public java.util.List<Service.ServiceField<?>> input

  - ### output

    public java.util.List<Service.ServiceField<?>> output

- ## Method Details

  - ### registerResponder

    public void registerResponder​(OOCSIClient oocsi, Responder responder)
    register a responder for this method
    Parameters:
      `oocsi` -
      `responder` -

  - ### buildCall

    public OOCSICall buildCall​(OOCSIClient oocsi, int timeoutMS, int maxResponses)
    build a call to a responder on OOCSI for this method
    Parameters:
      `oocsi` -
      `timeoutMS` -
      `maxResponses` -
    Returns:

  - ### getName

    public java.lang.String getName()
    get method name respective the service
    Returns: